SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000681SiT!profilespublic2009-05-01 14:572011-06-17 10:04
ReporterBonkie 
Assigned ToTomse 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000681: Skype field on user profile
DescriptionWe have added a extra field in to the users db, in order to use this enhancement add the field by hand in the users table.

Field name: skype (type: varchar(100))

Files are in the zip-archive

This enhancement is because in Europe, Skype is one of the most used communication applications.

(Icons are includes for the kdeclassic, oxygen and sit theme and are only 16x16px)

Enhancement based on build (v3.50 svn5217)
TagsNo tags attached.
Attached Fileszip file icon user_profile_edit_skype_enh.zip [^] (11,323 bytes) 2009-05-01 14:57

- Relationships
child of 0000051confirmed Custom fields 

-  Notes
User avatar (0001013)
paulh (administrator)
2009-05-02 11:27

Hi Bonkie,

Thanks for feature request it ties in quite nicely with something Ivan and I where discussing the other day in that where currently limited to MSN, AOL and ICQ.

I propose that we have an additional table say with a structure of userid,contacttype,contactdetails this would allow as few or as many as the user has
User avatar (0001014)
Bonkie (developer)
2009-05-04 10:06

Hi Paulh,

I think its a good idea that the users of SiT! can define thier own contact structure. So the system is more flexible.
User avatar (0001015)
kieran (administrator)
2009-05-04 10:23

Might be useful to be able to define the types of contact on the config page?
User avatar (0001016)
Bonkie (developer)
2009-05-04 12:14

i think that should be done. because you dont want to let the clients make thier own contact types. But only the staff / administrators.

Else it will be very chaotic...
User avatar (0004027)
Tomse (developer)
2011-06-17 10:04

this is fixed in git : 8ef625ff

- Issue History
Date Modified Username Field Change
2009-05-01 14:57 Bonkie New Issue
2009-05-01 14:57 Bonkie File Added: user_profile_edit_skype_enh.zip
2009-05-02 11:27 paulh Note Added: 0001013
2009-05-02 11:27 paulh Reproducibility have not tried => N/A
2009-05-02 11:27 paulh Status new => confirmed
2009-05-04 10:06 Bonkie Note Added: 0001014
2009-05-04 10:23 kieran Note Added: 0001015
2009-05-04 12:14 Bonkie Note Added: 0001016
2009-08-15 13:26 ivan Relationship added child of 0000863
2010-02-21 21:04 ivan Target Version => 4.0
2010-02-28 18:44 ivan Summary Enhancement: Added feature to user profile => Skype field on user profile
2010-02-28 18:45 ivan Relationship added child of 0000051
2010-02-28 18:45 ivan Relationship deleted child of 0000863
2010-04-10 22:50 ivan Status confirmed => assigned
2010-04-10 22:50 ivan Assigned To => ivan
2011-02-14 13:21 ivan Target Version 4.0 => 3.90beta1
2011-06-15 22:22 Tomse Assigned To ivan => Tomse
2011-06-17 10:04 Tomse Note Added: 0004027
2011-06-17 10:04 Tomse Status assigned => resolved
2011-06-17 10:04 Tomse Fixed in Version => Current GIT
2011-06-17 10:04 Tomse Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker